delete
https://api.genability.com/rest/v1/accounts/pid//tariffs
Delete an account tariff using your providerAccountId.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Delete an account tariff using your providerAccountId.
Use this endpoint when you identify accounts with your own IDs. To delete an account tariff using the Arcadia-generated account identifier, use Delete Account Tariff with accountId.
If the account has multiple tariffs, pass effectiveDate to identify which tariff entry to delete.
Resource URI
DELETE /rest/v1/accounts/pid/{providerAccountId}/tariffsPath parameters
| Parameter | Type | Description |
|---|---|---|
providerAccountId | String | Your unique identifier for the Account object. Required. |
Query parameters
| Parameter | Type | Description |
|---|---|---|
effectiveDate | Date | Effective date of the account tariff to delete. Required when multiple tariffs are set on the account. |
For the full data model, account tariff workflow, tariff assignment behavior, and detailed examples, see Account Tariffs API.
Example
DELETE /rest/v1/accounts/pid/api-eg-008/tariffs?effectiveDate=2012-12-01A successful response returns a standard response payload with type set to Tariff and results containing the deleted account tariff.
{
"status": "success",
"count": 1,
"type": "Tariff",
"results": [
{
"masterTariffId": 522,
"customerLikelihood": 100,
"endDate": null,
"timeZone": "America/Los_Angeles",
"billingPeriod": "MONTHLY",
"currency": "USD"
}
]
}